Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Maemo: Commits

r15853 - projects/connectivity/bluez-debian/trunk

 

 

Maemo commits RSS feed   Index | Next | Previous | View Threaded


subversion at stage

Aug 7, 2008, 7:56 AM

Post #1 of 1 (110 views)
Permalink
r15853 - projects/connectivity/bluez-debian/trunk

Author: jh
Date: 2008-08-07 17:56:25 +0300 (Thu, 07 Aug 2008)
New Revision: 15853

Modified:
projects/connectivity/bluez-debian/trunk/bluez-utils.bluetooth.init
Log:
Remove audio service disabling hack and fix some issues with the init script

Modified: projects/connectivity/bluez-debian/trunk/bluez-utils.bluetooth.init
===================================================================
--- projects/connectivity/bluez-debian/trunk/bluez-utils.bluetooth.init 2008-08-07 14:50:25 UTC (rev 15852)
+++ projects/connectivity/bluez-debian/trunk/bluez-utils.bluetooth.init 2008-08-07 14:56:25 UTC (rev 15853)
@@ -8,7 +8,7 @@

DAEMON=/usr/sbin/bluetoothd
DAEMON_NAME=bluetoothd
-DAEMON_OPTIONS="-x -d"
+DAEMON_OPTIONS="-d"

test -f /etc/default/bluetooth && . /etc/default/bluetooth

@@ -19,35 +19,13 @@

case "$1" in
start)
- if [ -e /tmp/first-boot-flag-tmp ]; then
- if [ -x "/usr/bin/osso-product-info" ]; then
- HW=`osso-product-info -qOSSO_PRODUCT_HARDWARE`
- else
- HW="unknown"
- fi
-
- if [ "$HW" = "RX-48" ]; then
- if [ -f "/etc/bluetooth/audio.service" ]; then
- AUDIO_PATH=`(dbus-send --system --dest=org.bluez --print-reply /org/bluez org.bluez.Manager.FindService string:audio 2> /dev/null || true) |tail -n 1|awk '{ print $2; }'|sed -e 's/"//g'`
-
- sed -i -e 's/^Autostart=true/Autostart=false/' /etc/bluetooth/audio.service
-
- if [ "$AUDIO_PATH" ]; then
- dbus-send --dest=org.bluez --print-reply --system --print-reply $AUDIO_PATH org.bluez.Service.Stop > /dev/null || true
- fi
- fi
-
- dbus-send --dest=org.bluez --print-reply --system /org/bluez/hci0 org.bluez.Adapter.SetMode string:off > /dev/null || true
- fi
+ echo -n "Starting $DESC:"
+ if [ "$USE_DSMETOOL" = "yes" ]; then
+ dsmetool -n -1 -t "$DAEMON -n $DAEMON_OPTIONS" || true
+ echo -n " $DAEMON_NAME"
else
- echo -n "Starting $DESC:"
- if [ "$USE_DSMETOOL" = "yes" ]; then
- dsmetool -n -1 -t "$DAEMON -n $DAEMON_OPTIONS" || true
- echo -n " $DAEMON_NAME"
- else
- start-stop-daemon --start --quiet --exec "$HCID $DAEMON_OPTIONS" || true
- echo -n " $DAEMON_NAME"
- fi
+ start-stop-daemon --start --quiet --exec "$DAEMON $DAEMON_OPTIONS" || true
+ echo -n " $DAEMON_NAME"
fi
echo "."
;;
@@ -77,7 +55,7 @@
echo "."
;;
*)
- N=/etc/init.d/bluez-utils
+ N=/etc/init.d/bluetooth
# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1

_______________________________________________
maemo-commits mailing list
maemo-commits[at]maemo.org
https://lists.maemo.org/mailman/listinfo/maemo-commits

Maemo commits RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact lists@gossamer-threads.com
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.